Register Guidelines E-Books Search Today's Posts Mark Forums Read

Go Back   MobileRead Forums > E-Book Software > Calibre

Notices

Reply
 
Thread Tools Search this Thread
Old 05-28-2023, 02:41 AM   #1
skil-phil
Connoisseur
skil-phil is kind to children and small, furry animalsskil-phil is kind to children and small, furry animalsskil-phil is kind to children and small, furry animalsskil-phil is kind to children and small, furry animalsskil-phil is kind to children and small, furry animalsskil-phil is kind to children and small, furry animalsskil-phil is kind to children and small, furry animalsskil-phil is kind to children and small, furry animalsskil-phil is kind to children and small, furry animalsskil-phil is kind to children and small, furry animalsskil-phil is kind to children and small, furry animals
 
skil-phil's Avatar
 
Posts: 60
Karma: 6698
Join Date: Sep 2022
Location: South Africa
Device: kindle pw10
Updating to 6.18.1

Having problems updating from 6.17

Sits on this line for about 3-4 minutes:
Will download and install calibre-6.18.1-x86_64.txz

Then shows the following errors:
Traceback (most recent call last):
Spoiler:

File "/usr/lib/python3.10/urllib/request.py", line 1348, in do_open
h.request(req.get_method(), req.selector, req.data, headers,
File "/usr/lib/python3.10/http/client.py", line 1282, in request
self._send_request(method, url, body, headers, encode_chunked)
File "/usr/lib/python3.10/http/client.py", line 1328, in _send_request
self.endheaders(body, encode_chunked=encode_chunked)
File "/usr/lib/python3.10/http/client.py", line 1277, in endheaders
self._send_output(message_body, encode_chunked=encode_chunked)
File "/usr/lib/python3.10/http/client.py", line 1037, in _send_output
self.send(msg)
File "/usr/lib/python3.10/http/client.py", line 975, in send
self.connect()
File "/usr/lib/python3.10/http/client.py", line 1447, in connect
super().connect()
File "/usr/lib/python3.10/http/client.py", line 941, in connect
self.sock = self._create_connection(
File "/usr/lib/python3.10/socket.py", line 845, in create_connection
raise err
File "/usr/lib/python3.10/socket.py", line 833, in create_connection
sock.connect(sa)
OSError: [Errno 101] Network is unreachable


During handling of the above exception, another exception occurred:
Spoiler:

Traceback (most recent call last):
File "<string>", line 1, in <module>
File "<string>", line 852, in script_launch
File "<string>", line 808, in main
File "<string>", line 699, in run_installer
File "<string>", line 676, in download_and_extract
File "<string>", line 360, in download_tarball
File "<string>", line 305, in do_download
File "/usr/lib/python3.10/urllib/request.py", line 216, in urlopen
return opener.open(url, data, timeout)
File "/usr/lib/python3.10/urllib/request.py", line 519, in open
response = self._open(req, data)
File "/usr/lib/python3.10/urllib/request.py", line 536, in _open
result = self._call_chain(self.handle_open, protocol, protocol +
File "/usr/lib/python3.10/urllib/request.py", line 496, in _call_chain
result = func(*args)
File "/usr/lib/python3.10/urllib/request.py", line 1391, in https_open
return self.do_open(http.client.HTTPSConnection, req,
File "/usr/lib/python3.10/urllib/request.py", line 1351, in do_open
raise URLError(err)
urllib.error.URLError: <urlopen error [Errno 101] Network is unreachable>


Any ideas.
Thanks
Phil

Last edited by theducks; 05-28-2023 at 03:05 PM. Reason: spoilered
skil-phil is offline   Reply With Quote
Old 05-28-2023, 04:02 AM   #2
kovidgoyal
creator of calibre
kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.kovidgoyal ought to be getting tired of karma fortunes by now.
 
kovidgoyal's Avatar
 
Posts: 44,144
Karma: 22670164
Join Date: Oct 2006
Location: Mumbai, India
Device: Various
Your network is down. You can always manually download the installer and use the downloaded file as described in https://calibre-ebook.com/download_linux
kovidgoyal is offline   Reply With Quote
Advert
Old 05-29-2023, 04:13 AM   #3
skil-phil
Connoisseur
skil-phil is kind to children and small, furry animalsskil-phil is kind to children and small, furry animalsskil-phil is kind to children and small, furry animalsskil-phil is kind to children and small, furry animalsskil-phil is kind to children and small, furry animalsskil-phil is kind to children and small, furry animalsskil-phil is kind to children and small, furry animalsskil-phil is kind to children and small, furry animalsskil-phil is kind to children and small, furry animalsskil-phil is kind to children and small, furry animalsskil-phil is kind to children and small, furry animals
 
skil-phil's Avatar
 
Posts: 60
Karma: 6698
Join Date: Sep 2022
Location: South Africa
Device: kindle pw10
Thanks. Will try that. We are having so many problems with power and signal strength it is scary and I suppose whoever is your host over here is having the same problems.
Phil

Last edited by skil-phil; 05-29-2023 at 04:15 AM. Reason: missing word
skil-phil is offline   Reply With Quote
Reply

Thread Tools Search this Thread
Search this Thread:

Advanced Search

Forum Jump

Similar Threads
Thread Thread Starter Forum Replies Last Post
Updating from 0.7.47 to 0.8.60 Lady Fitzgerald Calibre 3 07-17-2012 10:14 PM
Help! Updating GlutinFreeMan enTourage eDGe 7 10-29-2011 10:18 PM
Help updating to PE bfewell enTourage eDGe 1 09-20-2011 02:56 AM
Updating...... cancelx Astak EZReader 4 03-26-2010 11:38 PM
Firmware Update Updating rubikscube99 Amazon Kindle 8 04-18-2009 01:24 PM


All times are GMT -4. The time now is 02:24 AM.


MobileRead.com is a privately owned, operated and funded community.